/*
 * Base structure
 */

/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
}

TABLE.mongoCMS_dump {
    width:100%;
    border:none;
}

TABLE.mongoCMS_dump THEAD {
    display:none;
}

TABLE.mongoCMS_dump TD {
    border:none;
    background-color: transparent !important;
}

TABLE.mongoCMS_dump TR:nth-child(odd) {
    background-color: white !important;
}

/*
 * Global add-ons
 */

.sub-header {
    padding-bottom: 10px;
    border-bottom: 1px solid #eee;
}

/*
 * Top navigation
 * Hide default border to remove 1px line.
 */
.navbar-fixed-top {
    border: 0;
    z-index: 3;
}

/*
 * Sidebar
 */

/* Hide for mobile, show later */
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    margin-bottom:-60px;
    z-index: 1000;
    display: block;
    padding: 50px 20px 20px 20px;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@media (max-width: 768px) {
    .sidebar {
        position: absolute;
    }
}

/* Sidebar navigation */
.nav-sidebar {
    margin-right: -20px; /* 20px padding + 1px border */
    margin-left: -20px;
    height: calc(100% - 150px);
    overflow-y: auto;
}

.nav-sidebar-copyright-hidden {
    height: calc(100% - 110px);
}

.nav-sidebar > li > a {
    padding-right: 20px;
    padding-left: 20px;
    color: #c0c0c0;
    border-left:none;
}
.nav-sidebar > li > a > img {
    margin-right: 10px;
}

.nav-sidebar > .active > a,
.nav-sidebar > li > a:hover,
.nav-sidebar > li > a:focus {
    background:#ffffff10;
    border-left:none;
}

.nav-sidebar > .separated {
    border-top: solid #FFFFFF30 1px;
    margin-top: 5px;
    padding-top: 5px;
}

A.logo-header {
    margin-top: -50px;
    width: 170px;
    height: 90px;
    display: block;
    background-repeat: no-repeat;
    background-position: left center;
    background-size: contain;
}

IMG.logo-mobile-header {
    max-height: 50px;
    padding: 5px;
}

@media (max-width:768px) {
    .navbar>.container-fluid .navbar-brand{
        padding:0 10px;
    }
}

.full-cover {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: rgba(0,0,0,0.5);
    z-index: 666;
    display: block;
    cursor: pointer;
}

DIV.copyright {
    position:absolute;
    bottom:75px;
    width:100%;
    height:45px;
    overflow: hidden;
    opacity:0.4;
}

DIV.copyright-hidden {
    display: none;
}

DIV.copyright p {
    position:relative;
    margin:0;
    height:15px;
    line-height:15px;
    font-size:11px;
    color: #c0c0c0;
    overflow: hidden;
}

DIV.copyright p a {
    color:inherit;
    text-decoration: none;
}
/*
 * Main content
 */

.main {
    padding: 20px;
}
@media (min-width: 768px) {
    .main {
        padding-right: 10px;
        padding-left: 10px;
    }
}
.main .page-header {
    margin-top: 0;
}


/*
 * Placeholder dashboard ideas
 */

.placeholders {
    margin-bottom: 30px;
    text-align: center;
}
.placeholders h4 {
    margin-bottom: 0;
}
.placeholder {
    margin-bottom: 20px;
}
.placeholder img {
    display: inline-block;
    border-radius: 50%;
}



/* BOTON */

* {
    margin: 0;
    padding: 0;
}

/* Hamburger Icon */

#nav-icon {
    width: 30px;
    height: 23px;
    position: relative;
    float:right;
    margin: 13px 15px 14px 15px;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

#nav-icon span {
    display: block;
    position: absolute;
    height: 6px;
    width: 100%;
    background: #FFFFFF80;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#nav-icon span:nth-child(1) {
    top: 0px;
}

#nav-icon span:nth-child(2) {
    top: 9px;
}

#nav-icon span:nth-child(3) {
    top: 18px;
}

#nav-icon.open span:nth-child(1) {
    top: 9px;
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    transform: rotate(135deg);
}

#nav-icon.open span:nth-child(2) {
    opacity: 0;
    left: 30px;
}

#nav-icon.open span:nth-child(3) {
    top: 9px;
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    transform: rotate(-135deg);
}

/* USER INFO */

DIV.dropdown {
    position:relative;
    float:right;
    height:50px;
    top:3px;
    right: 15px;
    position: absolute;
}

DIV.dropdown .dropdown-toggle {
    background:transparent;
    width:auto;
    min-width:400px;
    border:0;
}

.user-info.left {
    height:40px;
}

.user-info a {
    color:inherit;
}

.user-info.left a.user-avatar {
    display:block;
    height:40px;
    width:40px;
    margin:0 10px 0 25px;
    float:left;
    border:0;
    padding:0;
}

.user-info p {
    height:15px;
    line-height:15px;
    font-size:15px;
    text-align:right;
    margin:5px 0;
    color:#FFFFFF;
    text-shadow: 0 0 15px var(--navbar-main-color)
}

.user-info.left p {
    text-align:left;
}

.user-info p span {
    color:#FFFFFFAA;
    font-size:13px;
}

.user-info span.caret {
    position:absolute;
    margin:auto;
    right:5px;
    top:0;
    bottom:0;
    color:#fff;
}

.user-info .user-avatar {
    display:block;
    position:relative;
    float:right;
    margin:5px 20px 5px 10px;
    border:solid #FFFFFF 2px;
}

.user-info .user-avatar.left {
    float:left;
    margin:0;
    border:0;
}

@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/MaterialIcons-Regular.eot); /* For IE6-8 */
  src: local('Material Icons'),
    local('MaterialIcons-Regular'),
    url(../fonts/MaterialIcons-Regular.woff2) format('woff2'),
    url(../fonts/MaterialIcons-Regular.woff) format('woff'),
    url(../fonts/MaterialIcons-Regular.ttf) format('truetype');
}

.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;

  display: inline-block;
  line-height: 1;
  vertical-align: text-top;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: 'liga';
}

:root {
    --navbar-main-color:#00162d;
    --navbar-sec-color:#00264e;
}

NAV.navbar-inverse {
    background-color: var(--navbar-main-color);
}

@media (min-width: 768px) {
    NAV.navbar-inverse {
        background-color: var(--navbar-sec-color);
    }
}

NAV.navbar-inverse DIV.dropdown IMG.user-avatar{
    background-color: var(--navbar-main-color);
}



DIV.sidebar {
    background-color: var(--navbar-main-color);
    box-shadow: 2px 0 7px #0000007a;
}

DIV.sidebar UL.nav-sidebar LI.active A {
    background-color: #ffffff1c;
}

DIV.sidebar UL.nav-sidebar SPAN.material-icons {
   width: 14px;
   overflow: hidden;
}

DIV.sidebar UL.nav-sidebar IMG.image-icon {
   width: 14px;
   opacity: 0.7;
   margin: 0;
   padding: 0;
   overflow: hidden;
}

DIV.sidebar UL.nav-sidebar LI.active IMG.image-icon {
    opacity: 1;
}

DIV.listing-global-actions {
    padding-top:0px;
    padding-bottom:20px;
}

DIV.listing-global-actions .btn {
    height: 34px;
    border-color: #00000077;
}
DIV.listing-global-actions .btn SPAN.glyphicon {
    top:3px;
    font-size:15px;
    vertical-align: top;
}
DIV.listing-global-actions BUTTON.btn SPAN.glyphicon{
    top:0;
}
DIV.listing-global-actions .btn SPAN.material-icons {
    padding-top:1px;
    font-size:17px;
    vertical-align: text-bottom;
}

DIV.listing-global-actions IMG.image-icon {
    width: 18px;
}


DIV.table-responsive TABLE.dataTable .btn {
    height: 29px;
}
DIV.table-responsive TABLE.dataTable .btn SPAN.glyphicon {
    top:2px;
    font-size:13px;
    vertical-align: top;
}
DIV.table-responsive TABLE.dataTable BUTTON.btn SPAN.glyphicon {
    top:0;
}

DIV.table-responsive TABLE.dataTable .btn SPAN.material-icons {
    padding-top:1px;
    font-size:15px;
    vertical-align: text-bottom;
}

DIV.table-responsive TABLE.dataTable .btn IMG.image-icon {
    width: 18px;
}

DIV.mcms-field-separator,
DIV.mcms-field-container {
    margin-bottom: 20px;
}

BODY.login {
    background: repeating-linear-gradient(
        40deg,
        var(--navbar-main-color),
        #00000015 10px
    ),
    repeating-linear-gradient(
        0deg,
        var(--navbar-main-color),
        var(--navbar-main-color) 500px
    );
}

BODY.login DIV.container {
    max-width: 500px;
    background-color: #FFFFFF;
    padding: 35px;
    box-shadow: 2px 2px 5px black;
    border-radius: 5px;
    position:relative;
    top: calc( 50vh - 50px);
    -webkit-transform: translateY(-50%);
}

BODY.login DIV.container H2 {
    color: var(--navbar-main-color);
    font-family: "Verdana";
    font-size: 25px;
    margin-bottom: 15px;
    opacity: 0.8;
}

BODY.login DIV.container BUTTON.btn {
    margin-bottom:10px;
}

BODY.login DIV.container INPUT#inputPassword {
    margin-top:10px;
}

.file-drop-zone{
    height: auto;
}

H1.mcms-main-title {
    font-size: 24px;
    margin: 12px 15px 0 15px;
    text-transform: uppercase;
    top:0px;
    right: 43px;
    color: #FFFFFFEE;
    font-weight: normal;
    z-index:30;
    position:fixed;
}
H1.hideHeaderMenu{
    color: #000;

}

@media (min-width: 768px) {
    H1.mcms-main-title { right: inherit; }
}

DIV.file-input.theme-explorer DIV.explorer-caption {
    word-break: break-word;
}

/*---------------------------------------- Group menu -------------------------------------------------*/

UL.nav-sidebar-group > li{
  margin: 0;
  padding: 0;

} 
UL.nav-sidebar-group > li > a {
    padding-right: 20px;
    padding-left: 40px;
    color: #c0c0c0;
    border-left:none;
    margin:0;
}
UL.nav-sidebar-group > li > a > img {
    margin-right: 10px;
}

UL.nav-sidebar-group > .active > a,
UL.nav-sidebar-group > li > a:hover,
UL.nav-sidebar-group > li > a:focus {
    background:#ffffff10;
    border-left:none;
}
/* Icon when the collapsible content is shown */
LI > A >.btn-group-collapse:after {
  font-family: "Glyphicons Halflings";
  content: "\e114";
  float: right;
  font-size: 10px;
}

/* Icon when the collapsible content is hidden */
LI.collapsed > A > .btn-group-collapse:after {
  content: "\e080";
}